//////////////////////////////////////////////////////////////////
// Function file for Armed Assault
// Created by: (AEF)Wolffy.au [2CAV]
// Created: 20090719
// Contact: http://creobellum.org
// Purpose: Setup and cache random waypoint patrols
///////////////////////////////////////////////////////////////////

WP_MARKERS = 16;
if (!isServer) exitWith {};

sleep 120;

_vehicle = _this select 0;
_grp = group _vehicle;
_veh = vehicle _vehicle;
_drv = assignedDriver _vehicle;

while {true} do {
	_wp_marker = format["wp_%1", ceil(random WP_MARKERS)];
//	player sideChat format["WP %1", _wp_marker];
	_wp0 = _grp addWaypoint [markerPos _wp_marker, 0];
	switch{side _drv} do {
		case civilian: {
			_wp0 setWaypointBehaviour "SAFE";
		};
		case east: {
			_wp0 setWaypointCombatMode "RED";
			_wp0 setWaypointFormation "COLUMN";
			_wp0 setWaypointSpeed "LIMITED";
			_wp0 setWaypointBehaviour "SAFE";
		};
	};
	waitUntil{currentWaypoint _grp != 0 || vehicle _drv == _drv};
	if(side _drv == civilian) then {
		_veh setDamage 0;
		_drv setDamage 0;
		_veh setPos (getPos _veh);
		[_drv] orderGetIn true;
	};
	sleep random 120;
};
